Summary:	CAD program to build virtual LEGO models
Name:		leocad
Version:	0.80.3
Release:	%mkrel 3
License:	GPLv2
Group:		Toys
Url:		http://www.leocad.org
# (wally) sources are nowadays in Google Drive and I don't know how to get direct DL link :\
Source0:	LeoCAD-Source-%{version}.tgz
#Source0:	http://leocad.googlecode.com/files/%{name}-%{version}-src.tgz
Patch0:		leocad-0.80-build-fix.patch
BuildRequires:  qt4-devel
Requires:	leocad-data

%description
LeoCAD is a CAD program that can be used to create virtual LEGO models.

It has an easy to use interface and currently features over 6000 different
pieces created by the LDraw community.

%prep
%setup -q -n leocad
%apply_patches

# switch to UTF-8
for i in docs/*.txt; do
	mv $i $i.old
	iconv -f ISO-8859-1 -t UTF-8 -o $i $i.old
done

%build
%qmake_qt4
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

#for data
mkdir -p %{buildroot}%{_datadir}/%{name}

#handle doc in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/*.txt
%{_bindir}/leocad
%{_datadir}/applications/leocad.desktop
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_datadir}/icons/hicolor/scalable/apps/leocad.svg
%dir %{_datadir}/%{name}/
%{_mandir}/man1/leocad.1*
%{_datadir}/mime/packages/leocad.xml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.80.3-3.mga5
+ Revision: 748833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.3-2.mga5
+ Revision: 681297
- Mageia 5 Mass Rebuild

* Thu May 01 2014 wally <wally> 0.80.3-1.mga5
+ Revision: 619258
- new version 0.80.3

* Wed Feb 05 2014 wally <wally> 0.80.2-1.mga5
+ Revision: 583449
- new version 0.80.2

* Sat Oct 19 2013 umeabot <umeabot> 0.80.1-2.mga4
+ Revision: 534356
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 wally <wally> 0.80.1-1.mga4
+ Revision: 477361
- new version 0.80.1

* Thu Aug 22 2013 wally <wally> 0.80-1.mga4
+ Revision: 469828
- new version 0.80
- switch to Qt/QMake

* Tue Jun 04 2013 fwang <fwang> 0.79.3-2.mga4
+ Revision: 436907
- rebuild for new libpng

* Thu Mar 21 2013 wally <wally> 0.79.3-1.mga3
+ Revision: 404390
- new version 0.79.3
- add patch to fix linking
- use our optflags and ldflags
- clean .spec

  + joequant <joequant>
    - split out leocad-data
    - clean up spec file
    - add full url
    - imported package leocad


* Wed Oct 10 2012 joequant <joequant> 0.75-1.mga3
- Port to mageia
- add data 6152

* Wed May 25 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt5
- fixed build:  added libGL-devel to BR:
- .desktop file cleanup

* Sun Mar 27 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4.1
- completely useless work (thanks to at@)

* Mon Mar 21 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4
- added libpng-devel to BuildRequires: (thanks to at@)

* Tue Sep 21 2010 Fr. Br. George <george@altlinux.ru> 0.75-alt3
- [Igor Vlasenko] updated source from 0.75 branch (closes #22831)

* Sat Nov 14 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.75-alt2.qa1
- NMU (by repocop): the following fixes applied:
  * obsolete-call-in-post-gtk-update-icon-cache for leocad
  * postclean-05-filetriggers for spec file

* Mon May 25 2009 Fr. Br. George <george@altlinux.ru> 0.75-alt2
- GCC4.4 build fixup

* Sun Oct 07 2007 Fr. Br. George <george@altlinux.ru> 0.75-alt1
- Initial build for ALT

